Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.util
Class PersistenceUtilHelper.MetadataCache

    java.lang.Object
      org.hibernate.ejb.util.PersistenceUtilHelper.MetadataCache

All Implemented Interfaces:
  Serializable

Enclosing class:
  PersistenceUtilHelper

    public static class PersistenceUtilHelper.MetadataCache

extends Object
implements Serializable

Cache hierarchy and member resolution in a weak hash map

See Also:
  Serialized Form

Constructor Summary
`PersistenceUtilHelper.MetadataCache()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistenceUtilHelper.MetadataCache

    public PersistenceUtilHelper.MetadataCache()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.